commit:     67ab197df3308758fa5a94fcbe36c6a90b22674f
Author:     Aaron W. Swenson <titanofold <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 27 12:35:20 2020 +0000
Commit:     Aaron W. Swenson <titanofold <AT> gentoo <DOT> org>
CommitDate: Sun Dec 27 12:36:42 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=67ab197d

dev-db/pgpool2: Bump to 4.2.1

Signed-off-by: Aaron W. Swenson <titanofold <AT> gentoo.org>

 dev-db/pgpool2/Manifest             |  1 +
 dev-db/pgpool2/pgpool2-4.2.1.ebuild | 98 +++++++++++++++++++++++++++++++++++++
 2 files changed, 99 insertions(+)

diff --git a/dev-db/pgpool2/Manifest b/dev-db/pgpool2/Manifest
index e8e714bd215..62a75f59451 100644
--- a/dev-db/pgpool2/Manifest
+++ b/dev-db/pgpool2/Manifest
@@ -1,3 +1,4 @@
 DIST pgpool-II-3.7.10.tar.gz 3375419 BLAKE2B 
96d589e9a3eff631bd4bffdcf321b3b532e5f0985dd4a5948fabc3228400305dc98fbf17ba64e162ecbaecca400e1bb3cad6fc954b2d624292f6f22deb48a789
 SHA512 
a89c392e336f5dd608c6876011f996fa1e4d7cb4b0eef31c24b2338ac287b72b73948e82429715d38fd9a7a6598f56828192722a2a8ee0d473738b804c4a2a48
 DIST pgpool-II-4.0.5.tar.gz 3768842 BLAKE2B 
2756d23db950a037a9203aae41293535de25d11bf9860f509040bf5b483ae5fb9e651c8189ee5f0a9398a45d20d2c54566769945e38c52361c160a1162a8e3af
 SHA512 
897df553dba3a1800adae5d22ed4f4fe210a3013fb533730837591244877eeaf0e4090d1a0c65e189b71798b5c303ea22e2198f6317b54f74f10ba48fa2188c6
 DIST pgpool-II-4.2.0.tar.gz 4707623 BLAKE2B 
9aa54fe0230d5dab303e9b20f35c242f9fe7f09c4c506c72be3a5d789f4e5c23b6e6fdf529ddafd5b1a0c0697a1e1b0f0106f965a8409f8e012633b8be0a58a9
 SHA512 
73179c3968441b592503512c5e0dfcc95ef778ecfd077024df0485fe831c9af12e708b51607c96c7bebf26f3cc81aefc53f50c7ad0a670d304cbbcf852170abf
+DIST pgpool-II-4.2.1.tar.gz 4713114 BLAKE2B 
207cb3c43e47d40385d6808195561117293e5acec6bc34664ec7a1d8754bf9beb8c5350252a4274d4c50520254089f0e5a5fdfc0faf778186fa8000db6124df2
 SHA512 
b859a3952f69dd98a3df60b33b801d3bc96b9a11757593795a89751abe558c6baab10a37701d69d415c9da26a16abcdc72e0209e74c62204facfb25cdbc512f8

diff --git a/dev-db/pgpool2/pgpool2-4.2.1.ebuild 
b/dev-db/pgpool2/pgpool2-4.2.1.ebuild
new file mode 100644
index 00000000000..4c93ba916e0
--- /dev/null
+++ b/dev-db/pgpool2/pgpool2-4.2.1.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+POSTGRES_COMPAT=( 9.{5..6} {10..13} )
+
+inherit autotools postgres-multi
+
+MY_P="${PN/2/-II}-${PV}"
+
+DESCRIPTION="Connection pool server for PostgreSQL"
+HOMEPAGE="https://www.pgpool.net/";
+SRC_URI="https://www.pgpool.net/download.php?f=${MY_P}.tar.gz -> 
${MY_P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+
+KEYWORDS="~amd64 ~x86"
+
+IUSE="doc libressl memcached pam ssl static-libs"
+
+RDEPEND="
+       ${POSTGRES_DEP}
+       net-libs/libnsl:0=
+       memcached? ( dev-libs/libmemcached )
+       pam? ( sys-auth/pambase )
+       ssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl:= )
+       )
+"
+DEPEND="${RDEPEND}
+       sys-devel/bison
+       virtual/pkgconfig
+"
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+       postgres_new_user pgpool
+
+       postgres-multi_pkg_setup
+}
+
+src_prepare() {
+       eapply \
+               "${FILESDIR}/pgpool-4.2.0-configure-memcached.patch" \
+               "${FILESDIR}/pgpool-configure-pam.patch" \
+               "${FILESDIR}/pgpool-4.2.0-configure-pthread.patch" \
+               "${FILESDIR}/pgpool-4.2.0-run_paths.patch"
+
+       eautoreconf
+
+       postgres-multi_src_prepare
+}
+
+src_configure() {
+       postgres-multi_foreach econf \
+               --disable-rpath \
+               --sysconfdir="${EROOT}/etc/${PN}" \
+               --with-pgsql-includedir='/usr/include/postgresql-@PG_SLOT@' \
+               
--with-pgsql-libdir="/usr/$(get_libdir)/postgresql-@PG_SLOT@/$(get_libdir)" \
+               $(use_enable static-libs static) \
+               $(use_with memcached) \
+               $(use_with pam) \
+               $(use_with ssl openssl)
+}
+
+src_compile() {
+       # Even though we're only going to do an install for the best slot
+       # available, the extension bits in src/sql need some things outside
+       # of that directory built, too.
+       postgres-multi_foreach emake
+       postgres-multi_foreach emake -C src/sql
+}
+
+src_install() {
+       # We only need the best stuff installed
+       postgres-multi_forbest emake DESTDIR="${D}" install
+
+       # Except for the extension and .so files that each PostgreSQL slot needs
+       postgres-multi_foreach emake DESTDIR="${D}" -C src/sql install
+
+       newinitd "${FILESDIR}/${PN}.initd" ${PN}
+       newconfd "${FILESDIR}/${PN}.confd" ${PN}
+
+       # Documentation!
+       dodoc NEWS TODO
+       doman doc/src/sgml/man{1,8}/*
+       use doc && dodoc -r doc/src/sgml/html
+
+       # mv some files that get installed to /usr/share/pgpool-II so that
+       # they all wind up in the same place
+       mv "${ED}/usr/share/${PN/2/-II}" "${ED}/usr/share/${PN}" || die
+
+       # One more thing: Evil la files!
+       find "${ED}" -name '*.la' -exec rm -f {} +
+}

Reply via email to